<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>globus_openssl_error_api</name>
    <title>Globus OPENSSL Error API</title>
    <filename>group__globus__openssl__error__api.html</filename>
    <subgroup>globus_gsi_openssl_error_activation</subgroup>
    <subgroup>globus_openssl_error_object</subgroup>
    <subgroup>globus_openssl_error_utility</subgroup>
    <docanchor file="group__globus__openssl__error__api">globus_openssl_error_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gsi_openssl_error_activation</name>
    <title>Activation</title>
    <filename>group__globus__gsi__openssl__error__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GSI_OPENSSL_ERROR_MODULE</name>
      <anchorfile>group__globus__gsi__openssl__error__activation.html</anchorfile>
      <anchor>ga13473df2d4eff72d07d9f05bafaa605d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_openssl_error_object</name>
    <title>Error Construction</title>
    <filename>group__globus__openssl__error__object.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_ERROR_TYPE_OPENSSL</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>ga9fc9271ac6e0e5bee545bc4f5bc8d137</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>unsigned long</type>
      <name>globus_openssl_error_handle_get_error_code</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>ga3a7dc566f4b90b6efc2842a6001fd4f3</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_data</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>ga92894399eb0be431cf86bcd07ac364c9</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_openssl_error_handle_get_data_flags</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>gab7442f5ebf3077d827985aa825e8ad25</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_filename</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>gafe020631795bfbeaf214ebd4386873b7</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_openssl_error_handle_get_linenumber</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>ga3c708ffdc70d3e238f1b868836c3fd4d</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_library</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>gae62e26cae636ffd9f2480781ac787e25</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_function</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>ga6fff82db41872df95870f2c3d2970e69</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>const char *</type>
      <name>globus_openssl_error_handle_get_reason</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>gae9f2d4284f223bd55b70a1d6947788a1</anchor>
      <arglist>(globus_openssl_error_handle_t handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_construct_openssl_error</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>ga6769c2de3c1146f8989bc2c1b5b77af3</anchor>
      <arglist>(globus_module_descriptor_t *base_source, globus_object_t *base_cause)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_initialize_openssl_error</name>
      <anchorfile>group__globus__openssl__error__object.html</anchorfile>
      <anchor>gaed064a29bfafeab34eea500e23d9a9b8</anchor>
      <arglist>(globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, globus_openssl_error_handle_t openssl_error_handle)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_openssl_error_utility</name>
    <title>Error Helper Functions</title>
    <filename>group__globus__openssl__error__utility.html</filename>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_error_match_openssl_error</name>
      <anchorfile>group__globus__openssl__error__utility.html</anchorfile>
      <anchor>ga944c2c110759c9d3857561beb2a33bc6</anchor>
      <arglist>(globus_object_t *error, unsigned long library, unsigned long function, unsigned long reason)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_error_wrap_openssl_error</name>
      <anchorfile>group__globus__openssl__error__utility.html</anchorfile>
      <anchor>ga106c894da18b56f40b841b356d7c0ae5</anchor>
      <arglist>(globus_module_descriptor_t *base_source, int error_type, const char *source_file, const char *source_func, int source_line, const char *format,...)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>library</name>
    <path>/builddir/build/BUILD/globus_gsi_openssl_error-2.1/library/</path>
    <filename>dir_e3d620c6b6fdb93ed3bc6186215bde2e.html</filename>
    <file>globus_error_openssl.c</file>
    <file>globus_error_openssl.h</file>
    <file>globus_i_error_openssl.c</file>
    <file>globus_i_error_openssl.h</file>
  </compound>
</tagfile>
